#@TYPE: Machine
#@NAME: Linksys NSLU2 (big-endian)
#@DESCRIPTION: Machine configuration for an NSLU2 in big-endian mode

TARGET_ARCH = "armeb"

PACKAGE_EXTRA_ARCHS = "armv4b armv4tb armv5eb armv5teb ixp4xxbe"

OVERRIDES = "local:${MACHINE}:nslu2:ixp4xx:${DISTRO}:${TARGET_OS}:${TARGET_ARCH}:build-${BUILD_OS}:fail-fast:pn-${PN}"

ROOT_FLASH_SIZE ?= "6"

require conf/machine/include/ixp4xx.inc

EXTRA_IMAGECMD_jffs2 += "--big-endian"

INHERIT += "nslu2-image"
